ompi/mca/ptl/tcp/ptl_tcp_peer.h File Reference.TH "ompi/mca/ptl/tcp/ptl_tcp_peer.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/tcp/ptl_tcp_peer.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/class/opal_list.h'\fP
.br
\fC#include 'opal/event/event.h'\fP
.br
\fC#include 'mca/pml/pml.h'\fP
.br
\fC#include 'mca/ptl/ptl.h'\fP
.br

.SS "Data Structures"

.in +1c
.ti -1c
.RI "struct \fBmca_ptl_base_peer_t\fP"
.br
.RI "\fIAn abstraction that represents a connection to a peer process. \fP"
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_ptl_base_peer_t\fP \fBmca_ptl_base_peer_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_ptl_base_peer_t\fP \fBmca_ptl_tcp_peer_t\fP"
.br
.in -1c
.SS "Enumerations"

.in +1c
.ti -1c
.RI "enum \fBmca_ptl_tcp_state_t\fP { \fBMCA_PTL_TCP_CLOSED\fP, \fBMCA_PTL_TCP_CONNECTING\fP, \fBMCA_PTL_TCP_CONNECT_ACK\fP, \fBMCA_PTL_TCP_CONNECTED\fP, \fBMCA_PTL_TCP_SHUTDOWN\fP, \fBMCA_PTL_TCP_FAILED\fP }"
.br
.RI "\fIState of TCP peer connection. \fP"
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBmca_ptl_tcp_set_socket_options\fP (int sd)"
.br
.ti -1c
.RI "void \fBmca_ptl_tcp_peer_close\fP (\fBmca_ptl_base_peer_t\fP *)"
.br
.ti -1c
.RI "int \fBmca_ptl_tcp_peer_send\fP (\fBmca_ptl_base_peer_t\fP *, struct \fBmca_ptl_tcp_send_frag_t\fP *, int)"
.br
.ti -1c
.RI "bool \fBmca_ptl_tcp_peer_accept\fP (\fBmca_ptl_base_peer_t\fP *, struct sockaddr_in *, int)"
.br
.ti -1c
.RI "void \fBmca_ptl_tcp_peer_shutdown\fP (\fBmca_ptl_base_peer_t\fP *)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBopal_class_t\fP \fBmca_ptl_tcp_peer_t_class\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
